<?php

namespace App\ReportsData\Populate\Entity;

class TaskCategory extends \App\ReportsData\Populate\GeneralAbstract
{

	/**
	 * Returns the table name that will store the current entity queue.
	 * @return string
	 */
	protected function getDbTableName()
	{
		global $DBTRd_taskCategories;
		return $DBTRd_taskCategories;
	}


	/**
	 * {@inheritDoc}
	 * @see \App\ReportsData\Populate\GeneralAbstract::getEntityFields()
	 */
	protected function getEntityFields()
	{

		// get current entity details
		$entity = \Entity\TaskCategory::select($this->id);

		// for non existing rows - return null
		if (!$entity->recordExists()) {
			return null;
		}

		// populate the entity details
		$return = [
			'id'			=> $this->id,
			'deleted' 		=> $entity->deleted,
			'category'		=> $entity->category,
			'description'	=> $entity->description,
		];

		return $return;
	}

}

